IF OBJECT_ID('dbo.fn_fco_parametro_agr') IS NOT NULL
    DROP FUNCTION dbo.fn_fco_parametro_agr
GO
CREATE FUNCTION dbo.fn_fco_parametro_agr
(
    @pch_compania char(4),
    @pvc_parametro varchar(10),
    @pti_secuencia tinyint
)
/*
    Autor JCL. Desarrollo FCO. Marzo 21 de 2006
    Esta función retorna unicamente agrupaciones de conceptos
*/
RETURNS char(3)
AS
BEGIN
    DECLARE @vch_agr char(3)

    SELECT @vch_agr = dato
    FROM vw_fdt_parametros
    WHERE pais = 'COL' 
      AND compania = @pch_compania 
      AND parametro = @pvc_parametro
      AND secuencia = @pti_secuencia

    RETURN @vch_agr

END
GO
GRANT EXECUTE ON dbo.fn_fco_parametro_agr TO PUBLIC
GO
